## unifont 10.0.05

=== debian/changelog ===
unifont (1:10.0.05-1) unstable; urgency=medium

  * Update to Unifont 10.0.05 release. 

 -- Paul Hardy <unifoundry@unifoundry.com>  Wed, 12 Jul 2017 03:28:11 -0700

unifont (1:10.0.04-1) unstable; urgency=low

  * Update to Unifont 10.0.04 release, which incorporates all changes
    in experimental version 10.0.03.
  * debian/control, unifont-bin section:
    - Removed "Priority: extra" entry because "extra" no longer exists.
      Now "Priority: optional" is inherited from the "unifont" source
      package.  The change from "optional" to "extra" was made originally
      because of unifont-bin Perl programs that required libgd-perl,
      which had Priority "extra" (see 766699 for details).  (Closes: 867220)
    - Removed Depends entries for libgd-gd2-perl and libgd-gd2-noxpm-perl
      because they have been removed from Debian.
  * debian/copyright: credited "Anonymous1" by request.
  * debian/rules: added the line
    "export DEB_BUILD_MAINT_OPTIONS = hardening=+all" to enable "BINDNOW"
    and "RELRO" hardening flags.
  * debian/unifont-bin.lintian-overrides: removed file, which contained
    "unifont-bin: hardening-no-fortify-functions usr/bin/unifontpic".
    The file was created to override a false positive.  That false positive
    is no longer triggered.

 -- Paul Hardy <unifoundry@unifoundry.com>  Sat, 08 Jul 2017 03:13:19 -0700

unifont (1:10.0.03-1) experimental; urgency=medium

  * unifont-10.0.03/src/hex2sfd: modified to reposition combining characters
    when typing text in various editors.  This version probably works fine,
    but is in "experimental" to allow testing before moving to unstable.

 -- Paul Hardy <unifoundry@unifoundry.com>  Fri, 30 Jun 2017 15:04:14 -0700

unifont (1:10.0.02-1) unstable; urgency=medium

  * Update to Unifont 10.0.02 release.
  * Includes touched-up U+03xx block for better looking tonos over Greek
    letters, shift Greek breathing marks left, and other adjustments.

 -- Paul Hardy <unifoundry@unifoundry.com>  Fri, 30 Jun 2017 10:26:56 -0700

unifont (1:10.0.01-2) unstable; urgency=medium

  * Update to standards version 4.0.0. 
  * Fixed typo in ChangeLog; thanks to Matt Kraai.

 -- Paul Hardy <unifoundry@unifoundry.com>  Sun, 25 Jun 2017 14:16:49 -0700

unifont (1:10.0.01-1) unstable; urgency=medium

  * Update to support Unicode 10.0 release.
  * Built & tested on first Stretch stable release.
  * debian/control, unifont-bin section:
    - Added Depends entry for bdf2psf.
    - Added Suggests entry for texlive.
    - Added system requirement of at least 4 GB main memory.
  * Utilities for ".bmp" graphics files & documentation updated to support
    quadruple-length glyphs.
  * Further details in ChangeLog file in main directory.

 -- Paul Hardy <unifoundry@unifoundry.com>  Tue, 20 Jun 2017 07:49:59 -0700

unifont (1:9.0.06-2) unstable; urgency=medium

  * debian/control: improved package descriptions.

 -- Paul Hardy <unifoundry@unifoundry.com>  Mon, 02 Jan 2017 04:41:43 -0800

unifont (1:9.0.06-1) unstable; urgency=medium

  * Unifont 9.0.06 release.  Upstream changes are in ChangeLog file.
  * debian/changelog: added to unifont 1:9.0.05-1 description below
    to mention bug number of lintian duplicate word false positive.

 -- Paul Hardy <unifoundry@unifoundry.com>  Thu, 22 Dec 2016 15:39:02 -0800

unifont (1:9.0.05-1) unstable; urgency=medium

  * Unifont 9.0.05 release.
  * debian/control: reworded descriptions to avoid duplicate word "Plane"
    false positive lintian warning, rather than adding a lintian override.
    Reported this in May 2016 as an update to Bug 822504: "lintian: false
    positive spelling-error-in-copyright (duplicate word) involving names
    and field labels".  The person who added that lintian check considered
    removing it from lintian, but that hasn't happened yet.
  * debian/control: added "Multi-Arch: foreign" tag for "unifont" package.

 -- Paul Hardy <unifoundry@unifoundry.com>  Sat, 10 Dec 2016 16:58:01 -0800

unifont (1:9.0.04-1) unstable; urgency=medium

  * debian/control: added "Multi-Arch: foreign" tags for xfonts-unifont,
    ttf-unifont, and psf-unifont.  Their formats are all byte-order
    independent.
  * Fixed two swapped glyphs and modified others as noted in ChangeLog file.

 -- Paul Hardy <unifoundry@unifoundry.com>  Sat, 29 Oct 2016 14:51:08 -0700

unifont (1:9.0.03-1) unstable; urgency=medium

  * Unifont 9.0.03 release.
  * Added 3 CSUR scripts, notably Pikto in Plane 15.
  * Other changes as noted in the ChangeLog file.

 -- Paul Hardy <unifoundry@unifoundry.com>  Sun, 28 Aug 2016 23:43:17 -0700

unifont (1:9.0.02-1) unstable; urgency=medium

  * Added 3 CSUR scripts.
  * Moved U+A7AE glyph to its correct codepoint; it was at U+A72E.
  * Made other modifications as noted in ChangeLog file.

 -- Paul Hardy <unifoundry@unifoundry.com>  Sat, 27 Aug 2016 07:04:41 -0700

unifont (1:9.0.01-1) unstable; urgency=medium

  * Updated for the Unicode 9.0.0 standard.
  * Modified U+301C glyph as per changes in Unicode 8.  (Closes: 826603)
  * Many other modifications to existing glyphs as noted in the ChangeLog file.

 -- Paul Hardy <unifoundry@unifoundry.com>  Sat, 02 Jul 2016 09:22:47 -0700

=== debian/control ===
Source: unifont
Section: fonts
Priority: optional
Maintainer: Paul Hardy <unifoundry@unifoundry.com>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: fontforge, xfonts-utils, bdf2psf,
 libgd-perl | libgd-gd2-perl | libgd-gd2-noxpm-perl
Standards-Version: 4.0.0
Homepage: http://unifoundry.com

Package: unifont
Architecture: all
Multi-Arch: foreign
Depends: xfonts-unifont, ttf-unifont, psf-unifont, xfonts-utils, ${misc:Depends}
Replaces: unifont-bin (<< 1:5.1.20080706-1)
Suggests: unifont-bin
Description: font with a glyph for each visible Unicode Plane 0 character
 This package is a convenient way to install the PCF bitmap version,
 PSF bitmap version, and the scalable TrueType outline version of "Unifont"
 (intended for general-purpose use) and "Unifont Sample" (which contains
 combining circles to use for illustration purposes).  It also installs
 a copy of unifont.hex and related files in /usr/share/unifont.
 .
 GNU Unifont was designed to render something besides an empty box
 for each visible Unicode character in the Basic Multilingual Plane
 (BMP, or Plane 0).  The BMP contains most of the world's modern writing
 scripts.  This font looks best at 12pt.
 .
 Complex fonts (such as Indic or Semitic scripts, where letters change
 shape depending on their position in a word, or such as Mongolian, which
 can be written vertically) will not render perfectly.  The philosophy
 behind this font, though, is that anything meaningful is better than
 an empty box for an unknown glyph.

Package: xfonts-unifont
Architecture: all
Multi-Arch: foreign
Depends: xfonts-utils, ${misc:Depends}
Replaces: unifont (<< 1:5.1.20080706)
Conflicts: unifont (<< 1:5.1.20080706)
Suggests: ttf-unifont
Description: PCF (bitmap) version of GNU Unifont
 This contains three fonts: "Unifont" (unifont.pcf.gz),
 "Unifont CSUR" (unifont_csur.pcf.gz),  and
 "Unifont Sample" (unifont_sample.pcf.gz).
 .
 This is a bitmap version of Unifont in a standard X11 format.
 The fonts provide a glyph for each visible code point (character)
 in the Unicode Basic Multilingual Plane (BMP, or Plane 0).  The BMP
 contains most of the world's modern writing scripts.  These fonts
 look best at 12pt.
 .
 unifont.pcf.gz contains Unicode Plane 0 glyphs.  This is the main font.
 .
 unifont_sample.pcf.gz contains combining circles for combining characters.
 Thus it is suited for illustrating individual Unicode glyphs, whereas
 Unifont is intended for general-purpose writing.
 .
 unifont_csur.pcf.gz contains some scripts in the Plane 0 ConScript
 Unicode Registry (CSUR).  These scripts are not part of the Unicode
 Standard, but are a popular use for the Private Use Area (PUA).
 .
 Complex fonts (such as Indic or Semitic scripts, where letters change
 shape depending on their position in a word, or such as Mongolian, which
 can be written vertically) will not render perfectly.  The philosophy
 behind this font, though, is that anything meaningful is better than
 an empty box for an unknown glyph.
 .
 Consider using the TrueType version instead (ttf-unifont), because
 that version is scalable to any point size and has proper combining
 character support.

Package: ttf-unifont
Architecture: all
Multi-Arch: foreign
Depends: xfonts-utils, ${misc:Depends}
Description: TrueType version of GNU Unifont
 This contains four fonts: "Unifont", "Unifont Upper", "Unifont CSUR",
 and "Unifont Sample".
 .
 unifont.ttf is a bitmap font converted into a scalable TrueType
 outline font, Unifont.  Each pixel in the original bitmap font
 is represented as an outlined square.  The font provides a glyph
 for each visible code point (character) in the Unicode Basic
 Multilingual Plane (BMP, or Plane 0).  The BMP contains most of
 the world's modern writing scripts.  This font looks best at 12pt.
 .
 unifont_upper.ttf is a bitmap font converted into a scalable TrueType
 outline font that covers Unicode ranges above Plane 0.  Most of its
 glyphs are in Plane 1, the Unicode Supplemental Multilingual Plane (SMP).
 .
 unifont_csur.ttf is a bitmap font converted into a scalable TrueType
 outline font that contains some scripts in the ConScript Unicode
 Registry (CSUR).  These scripts are not part of the Unicode Standard,
 but are a popular use for the Private Use Area (PUA).  This font
 contains glyphs in Plane 0 and in the higher PUA planes.
 .
 unifont_sample.ttf is an SBIT font that contains combining circles
 and is therefore suitable for illustrating individual Unicode glyphs.
 The other font files do not contain combining circles and so are suitable
 for general-purpose writing.
 .
 Complex fonts (such as Indic or Semitic scripts, where letters change
 shape depending on their position in a word, or such as Mongolian, which
 can be written vertically) will not render perfectly.  The philosophy
 behind this font, though, is that anything meaningful is better than
 an empty box for an unknown glyph.

Package: psf-unifont
Architecture: all
Multi-Arch: foreign
Depends: bdf2psf, ${misc:Depends}
Suggests: ttf-unifont
Description: PSF (console) version of GNU Unifont with APL support
 This contains a PSF font (Unifont-APL8x16.psf) as a console frame
 buffer font with a subset of Unifont for use with GNU APL and other
 APL implementations.  The font is installed in "/usr/share/consolefonts/".
 This PSF font is only suitable for running in console mode, not under the
 X Window System.
 .
 A PSF font allows a maximum of 512 glyphs.  The glyph subset in this
 font includes ASCII, Latin-1, "oe" and "OE" ligatures for French, the
 Euro sign, Unicode Box Drawing, Unicode Block Elements, plus various
 glyphs for APL support and some other miscellaneous glyphs.  The font
 is monospaced, 8 pixels wide by 16 pixels tall.
 .
 Consider using the TrueType version instead (ttf-unifont) if you are
 not running in console mode, because that version is scalable to any
 point size and has proper combining character support.

Package: unifont-bin
Section: x11
Architecture: any
Depends: xfonts-utils, bdf2psf, fontforge, ${shlibs:Depends}, ${misc:Depends},
 ${perl:Depends}, libwx-perl, libgd-perl
Suggests: unifont, texinfo, texlive
Description: utilities for manipulating GNU Unifont
 This is a set of Perl scripts, C programs, and FontForge scripts
 to manipulate Roman Czyborra's GNU Unifont ".hex" format font
 files.  GNU Unifont has a Unicode-compatible font structure.
 These utilities allow editing ".hex" fonts with text and
 graphical editors, producing final versions of fonts in BDF,
 PCF, PSF, TrueType SBIT, and TrueType outline formats.
 .
 To build the TrueType fonts, install the package 'fontforge'.  To build
 the PCF fonts, use 'bdftopcf', which is in the 'xfonts-utils' package.
 To build the PSF font, use 'bdf2psf', which is in the 'console-setup'
 package.  To obtain the font sources, run 'apt-get source unifont'.
 .
 Building the main Unifont TrueType font will require at least 4 GB of
 main memory.  You only need texlive (~1 GB) if you want to rebuild the
 unifont.pdf file in doc/ (see doc/Makefile); this is not done by default.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
CFLAGS   = -Wall $(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS  = $(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@

# The below build-indep target is the default way that Unifont
# is built, and is already in the "font/precompiled/" directory.
#
# BUILDFONT=1 forces the building of the font from the contents of
# "font/plane00/*.hex".  The results will be in the "font/compiled/"
# directory.  The font files in that directory will get installed
# in preference to the files in the "font/precompiled/" directory
# if both exist.
#
# PUA="" makes sure that the glyphs in "font/plane00/pua.hex" don't
# get built into the final font, though that is the default behavior.
# The flag is there also as a placeholder for building a custom
# font with a special set of PUA glyphs if desired.
#
# If the build-indep rule is commented out, then Unifont is installed
# from the pre-built files in the "font/precompiled/" directory, which
# should be identical to the files that this rule builds.
#
override_dh_auto_build-indep:
	$(MAKE) BUILDFONT=1 PUA=""

override_dh_auto_build-arch:
	$(MAKE) CFLAGS='$(CFLAGS)' CPPFLAGS='$(CPPFLAGS)' \
	   LDFLAGS='$(LDFLAGS)'

## unifont 10.0.07

=== hangul/Makefile ===

SHELL = /bin/sh

BINDIR = ../bin
GZFLAGS = -f -9 -n

#
VERSION = 10.0.07

COPYRIGHT = "Copyright (C) 2013 Paul Hardy.  \
Licensed under the GNU General Public License; either version 2, or \
(at your option) a later version, with the GNU Font Embedding Exception."


all: hangul-syllables

hangul-syllables: hangul-hex hangul-bmp ksx chojung

# Convert the hanbase-??.bmp files into a Johab .hex file,
# then convert that into a BDF font file.

hangul-hex:
	echo "0000:0000000000000000000000000000000000000000000000000000000000000000" >hangul-base.hex
	$(BINDIR)/unibmp2hex -w < hanbase-00.bmp >>hangul-base.hex
	$(BINDIR)/unibmp2hex -w < hanbase-01.bmp >>hangul-base.hex
	$(BINDIR)/unibmp2hex -w < hanbase-02.bmp >>hangul-base.hex
	$(BINDIR)/hex2bdf \
	   -f "Unifont Johab" -c $(COPYRIGHT) -v "$(VERSION)" \
	   < hangul-base.hex | \
	   sed -e "s/[Ii][Ss][Oo]10646/Johab/g" >hangul-base.bdf
	bdftopcf < hangul-base.bdf > hangul-base.pcf
	gzip $(GZFLAGS) hangul-base.pcf
	$(BINDIR)/johab2ucs2 < hangul-base.bdf > hangul-syllables.hex

# Convert the .hex file containing all Unicode Hangul Syllables
# into bitmap images for checking visually.

hangul-bmp: hangul-syllables.hex
	if [ ! -d syllables ]; then \
		mkdir syllables; \
	fi
	$(BINDIR)/unihex2bmp -pAC < hangul-syllables.hex > syllables/hangul-AC.bmp
	$(BINDIR)/unihex2bmp -pAD < hangul-syllables.hex > syllables/hangul-AD.bmp
	$(BINDIR)/unihex2bmp -pAE < hangul-syllables.hex > syllables/hangul-AE.bmp
	$(BINDIR)/unihex2bmp -pAF < hangul-syllables.hex > syllables/hangul-AF.bmp
	$(BINDIR)/unihex2bmp -pB0 < hangul-syllables.hex > syllables/hangul-B0.bmp
	$(BINDIR)/unihex2bmp -pB1 < hangul-syllables.hex > syllables/hangul-B1.bmp
	$(BINDIR)/unihex2bmp -pB2 < hangul-syllables.hex > syllables/hangul-B2.bmp
	$(BINDIR)/unihex2bmp -pB3 < hangul-syllables.hex > syllables/hangul-B3.bmp
	$(BINDIR)/unihex2bmp -pB4 < hangul-syllables.hex > syllables/hangul-B4.bmp
	$(BINDIR)/unihex2bmp -pB5 < hangul-syllables.hex > syllables/hangul-B5.bmp
	$(BINDIR)/unihex2bmp -pB6 < hangul-syllables.hex > syllables/hangul-B6.bmp
	$(BINDIR)/unihex2bmp -pB7 < hangul-syllables.hex > syllables/hangul-B7.bmp
	$(BINDIR)/unihex2bmp -pB8 < hangul-syllables.hex > syllables/hangul-B8.bmp
	$(BINDIR)/unihex2bmp -pB9 < hangul-syllables.hex > syllables/hangul-B9.bmp
	$(BINDIR)/unihex2bmp -pBA < hangul-syllables.hex > syllables/hangul-BA.bmp
	$(BINDIR)/unihex2bmp -pBB < hangul-syllables.hex > syllables/hangul-BB.bmp
	$(BINDIR)/unihex2bmp -pBC < hangul-syllables.hex > syllables/hangul-BC.bmp
	$(BINDIR)/unihex2bmp -pBD < hangul-syllables.hex > syllables/hangul-BD.bmp
	$(BINDIR)/unihex2bmp -pBE < hangul-syllables.hex > syllables/hangul-BE.bmp
	$(BINDIR)/unihex2bmp -pBF < hangul-syllables.hex > syllables/hangul-BF.bmp
	$(BINDIR)/unihex2bmp -pC0 < hangul-syllables.hex > syllables/hangul-C0.bmp
	$(BINDIR)/unihex2bmp -pC1 < hangul-syllables.hex > syllables/hangul-C1.bmp
	$(BINDIR)/unihex2bmp -pC2 < hangul-syllables.hex > syllables/hangul-C2.bmp
	$(BINDIR)/unihex2bmp -pC3 < hangul-syllables.hex > syllables/hangul-C3.bmp
	$(BINDIR)/unihex2bmp -pC4 < hangul-syllables.hex > syllables/hangul-C4.bmp
	$(BINDIR)/unihex2bmp -pC5 < hangul-syllables.hex > syllables/hangul-C5.bmp
	$(BINDIR)/unihex2bmp -pC6 < hangul-syllables.hex > syllables/hangul-C6.bmp
	$(BINDIR)/unihex2bmp -pC7 < hangul-syllables.hex > syllables/hangul-C7.bmp
	$(BINDIR)/unihex2bmp -pC8 < hangul-syllables.hex > syllables/hangul-C8.bmp
	$(BINDIR)/unihex2bmp -pC9 < hangul-syllables.hex > syllables/hangul-C9.bmp
	$(BINDIR)/unihex2bmp -pCA < hangul-syllables.hex > syllables/hangul-CA.bmp
	$(BINDIR)/unihex2bmp -pCB < hangul-syllables.hex > syllables/hangul-CB.bmp
	$(BINDIR)/unihex2bmp -pCC < hangul-syllables.hex > syllables/hangul-CC.bmp
	$(BINDIR)/unihex2bmp -pCD < hangul-syllables.hex > syllables/hangul-CD.bmp
	$(BINDIR)/unihex2bmp -pCE < hangul-syllables.hex > syllables/hangul-CE.bmp
	$(BINDIR)/unihex2bmp -pCF < hangul-syllables.hex > syllables/hangul-CF.bmp
	$(BINDIR)/unihex2bmp -pD0 < hangul-syllables.hex > syllables/hangul-D0.bmp
	$(BINDIR)/unihex2bmp -pD1 < hangul-syllables.hex > syllables/hangul-D1.bmp
	$(BINDIR)/unihex2bmp -pD2 < hangul-syllables.hex > syllables/hangul-D2.bmp
	$(BINDIR)/unihex2bmp -pD3 < hangul-syllables.hex > syllables/hangul-D3.bmp
	$(BINDIR)/unihex2bmp -pD4 < hangul-syllables.hex > syllables/hangul-D4.bmp
	$(BINDIR)/unihex2bmp -pD5 < hangul-syllables.hex > syllables/hangul-D5.bmp
	$(BINDIR)/unihex2bmp -pD6 < hangul-syllables.hex > syllables/hangul-D6.bmp
	$(BINDIR)/unihex2bmp -pD7 < hangul-syllables.hex > syllables/hangul-D7.bmp

#
# Extract those syllables that appear in KS X 1001:1992.
# These are the 2,350 syllables in modern usage out of
# a total possible 11,172 syllables.
#
ksx: hangul-syllables.hex
	if [ ! -d ksx-syllables ]; then \
		mkdir ksx-syllables; \
	fi
	$(BINDIR)/unifontksx < hangul-syllables.hex > ksx-syllables.hex
	$(BINDIR)/unihex2bmp -pAC < ksx-syllables.hex > ksx-syllables/han-AC.bmp
	$(BINDIR)/unihex2bmp -pAD < ksx-syllables.hex > ksx-syllables/han-AD.bmp
	$(BINDIR)/unihex2bmp -pAE < ksx-syllables.hex > ksx-syllables/han-AE.bmp
	$(BINDIR)/unihex2bmp -pAF < ksx-syllables.hex > ksx-syllables/han-AF.bmp
	$(BINDIR)/unihex2bmp -pB0 < ksx-syllables.hex > ksx-syllables/han-B0.bmp
	$(BINDIR)/unihex2bmp -pB1 < ksx-syllables.hex > ksx-syllables/han-B1.bmp
	$(BINDIR)/unihex2bmp -pB2 < ksx-syllables.hex > ksx-syllables/han-B2.bmp
	$(BINDIR)/unihex2bmp -pB3 < ksx-syllables.hex > ksx-syllables/han-B3.bmp
	$(BINDIR)/unihex2bmp -pB4 < ksx-syllables.hex > ksx-syllables/han-B4.bmp
	$(BINDIR)/unihex2bmp -pB5 < ksx-syllables.hex > ksx-syllables/han-B5.bmp
	$(BINDIR)/unihex2bmp -pB6 < ksx-syllables.hex > ksx-syllables/han-B6.bmp
	$(BINDIR)/unihex2bmp -pB7 < ksx-syllables.hex > ksx-syllables/han-B7.bmp
	$(BINDIR)/unihex2bmp -pB8 < ksx-syllables.hex > ksx-syllables/han-B8.bmp
	$(BINDIR)/unihex2bmp -pB9 < ksx-syllables.hex > ksx-syllables/han-B9.bmp
	$(BINDIR)/unihex2bmp -pBA < ksx-syllables.hex > ksx-syllables/han-BA.bmp
	$(BINDIR)/unihex2bmp -pBB < ksx-syllables.hex > ksx-syllables/han-BB.bmp
	$(BINDIR)/unihex2bmp -pBC < ksx-syllables.hex > ksx-syllables/han-BC.bmp
	$(BINDIR)/unihex2bmp -pBD < ksx-syllables.hex > ksx-syllables/han-BD.bmp
	$(BINDIR)/unihex2bmp -pBE < ksx-syllables.hex > ksx-syllables/han-BE.bmp
	$(BINDIR)/unihex2bmp -pBF < ksx-syllables.hex > ksx-syllables/han-BF.bmp
	$(BINDIR)/unihex2bmp -pC0 < ksx-syllables.hex > ksx-syllables/han-C0.bmp
	$(BINDIR)/unihex2bmp -pC1 < ksx-syllables.hex > ksx-syllables/han-C1.bmp
	$(BINDIR)/unihex2bmp -pC2 < ksx-syllables.hex > ksx-syllables/han-C2.bmp
	$(BINDIR)/unihex2bmp -pC3 < ksx-syllables.hex > ksx-syllables/han-C3.bmp
	$(BINDIR)/unihex2bmp -pC4 < ksx-syllables.hex > ksx-syllables/han-C4.bmp
	$(BINDIR)/unihex2bmp -pC5 < ksx-syllables.hex > ksx-syllables/han-C5.bmp
	$(BINDIR)/unihex2bmp -pC6 < ksx-syllables.hex > ksx-syllables/han-C6.bmp
	$(BINDIR)/unihex2bmp -pC7 < ksx-syllables.hex > ksx-syllables/han-C7.bmp
	$(BINDIR)/unihex2bmp -pC8 < ksx-syllables.hex > ksx-syllables/han-C8.bmp
	$(BINDIR)/unihex2bmp -pC9 < ksx-syllables.hex > ksx-syllables/han-C9.bmp
	$(BINDIR)/unihex2bmp -pCA < ksx-syllables.hex > ksx-syllables/han-CA.bmp
	$(BINDIR)/unihex2bmp -pCB < ksx-syllables.hex > ksx-syllables/han-CB.bmp
	$(BINDIR)/unihex2bmp -pCC < ksx-syllables.hex > ksx-syllables/han-CC.bmp
	$(BINDIR)/unihex2bmp -pCD < ksx-syllables.hex > ksx-syllables/han-CD.bmp
	$(BINDIR)/unihex2bmp -pCE < ksx-syllables.hex > ksx-syllables/han-CE.bmp
	$(BINDIR)/unihex2bmp -pCF < ksx-syllables.hex > ksx-syllables/han-CF.bmp
	$(BINDIR)/unihex2bmp -pD0 < ksx-syllables.hex > ksx-syllables/han-D0.bmp
	$(BINDIR)/unihex2bmp -pD1 < ksx-syllables.hex > ksx-syllables/han-D1.bmp
	$(BINDIR)/unihex2bmp -pD2 < ksx-syllables.hex > ksx-syllables/han-D2.bmp
	$(BINDIR)/unihex2bmp -pD3 < ksx-syllables.hex > ksx-syllables/han-D3.bmp
	$(BINDIR)/unihex2bmp -pD4 < ksx-syllables.hex > ksx-syllables/han-D4.bmp
	$(BINDIR)/unihex2bmp -pD5 < ksx-syllables.hex > ksx-syllables/han-D5.bmp
	$(BINDIR)/unihex2bmp -pD6 < ksx-syllables.hex > ksx-syllables/han-D6.bmp
	$(BINDIR)/unihex2bmp -pD7 < ksx-syllables.hex > ksx-syllables/han-D7.bmp

#
# Extract those syllables that only contain choseong and
# jungseong (initial consonant plus vowel).
#
chojung: hangul-syllables.hex
	if [ ! -d chojung-syllables ]; then \
		mkdir chojung-syllables; \
	fi
	$(BINDIR)/unifontchojung < hangul-syllables.hex > chojung-syllables.hex
	$(BINDIR)/unihex2bmp -pAC < chojung-syllables.hex > chojung-syllables/han-AC.bmp
	$(BINDIR)/unihex2bmp -pAD < chojung-syllables.hex > chojung-syllables/han-AD.bmp
	$(BINDIR)/unihex2bmp -pAE < chojung-syllables.hex > chojung-syllables/han-AE.bmp
	$(BINDIR)/unihex2bmp -pAF < chojung-syllables.hex > chojung-syllables/han-AF.bmp
	$(BINDIR)/unihex2bmp -pB0 < chojung-syllables.hex > chojung-syllables/han-B0.bmp
	$(BINDIR)/unihex2bmp -pB1 < chojung-syllables.hex > chojung-syllables/han-B1.bmp
	$(BINDIR)/unihex2bmp -pB2 < chojung-syllables.hex > chojung-syllables/han-B2.bmp
	$(BINDIR)/unihex2bmp -pB3 < chojung-syllables.hex > chojung-syllables/han-B3.bmp
	$(BINDIR)/unihex2bmp -pB4 < chojung-syllables.hex > chojung-syllables/han-B4.bmp
	$(BINDIR)/unihex2bmp -pB5 < chojung-syllables.hex > chojung-syllables/han-B5.bmp
	$(BINDIR)/unihex2bmp -pB6 < chojung-syllables.hex > chojung-syllables/han-B6.bmp
	$(BINDIR)/unihex2bmp -pB7 < chojung-syllables.hex > chojung-syllables/han-B7.bmp
	$(BINDIR)/unihex2bmp -pB8 < chojung-syllables.hex > chojung-syllables/han-B8.bmp
	$(BINDIR)/unihex2bmp -pB9 < chojung-syllables.hex > chojung-syllables/han-B9.bmp
	$(BINDIR)/unihex2bmp -pBA < chojung-syllables.hex > chojung-syllables/han-BA.bmp
	$(BINDIR)/unihex2bmp -pBB < chojung-syllables.hex > chojung-syllables/han-BB.bmp
	$(BINDIR)/unihex2bmp -pBC < chojung-syllables.hex > chojung-syllables/han-BC.bmp
	$(BINDIR)/unihex2bmp -pBD < chojung-syllables.hex > chojung-syllables/han-BD.bmp
	$(BINDIR)/unihex2bmp -pBE < chojung-syllables.hex > chojung-syllables/han-BE.bmp
	$(BINDIR)/unihex2bmp -pBF < chojung-syllables.hex > chojung-syllables/han-BF.bmp
	$(BINDIR)/unihex2bmp -pC0 < chojung-syllables.hex > chojung-syllables/han-C0.bmp
	$(BINDIR)/unihex2bmp -pC1 < chojung-syllables.hex > chojung-syllables/han-C1.bmp
	$(BINDIR)/unihex2bmp -pC2 < chojung-syllables.hex > chojung-syllables/han-C2.bmp
	$(BINDIR)/unihex2bmp -pC3 < chojung-syllables.hex > chojung-syllables/han-C3.bmp
	$(BINDIR)/unihex2bmp -pC4 < chojung-syllables.hex > chojung-syllables/han-C4.bmp
	$(BINDIR)/unihex2bmp -pC5 < chojung-syllables.hex > chojung-syllables/han-C5.bmp
	$(BINDIR)/unihex2bmp -pC6 < chojung-syllables.hex > chojung-syllables/han-C6.bmp
	$(BINDIR)/unihex2bmp -pC7 < chojung-syllables.hex > chojung-syllables/han-C7.bmp
	$(BINDIR)/unihex2bmp -pC8 < chojung-syllables.hex > chojung-syllables/han-C8.bmp
	$(BINDIR)/unihex2bmp -pC9 < chojung-syllables.hex > chojung-syllables/han-C9.bmp
	$(BINDIR)/unihex2bmp -pCA < chojung-syllables.hex > chojung-syllables/han-CA.bmp
	$(BINDIR)/unihex2bmp -pCB < chojung-syllables.hex > chojung-syllables/han-CB.bmp
	$(BINDIR)/unihex2bmp -pCC < chojung-syllables.hex > chojung-syllables/han-CC.bmp
	$(BINDIR)/unihex2bmp -pCD < chojung-syllables.hex > chojung-syllables/han-CD.bmp
	$(BINDIR)/unihex2bmp -pCE < chojung-syllables.hex > chojung-syllables/han-CE.bmp
	$(BINDIR)/unihex2bmp -pCF < chojung-syllables.hex > chojung-syllables/han-CF.bmp
	$(BINDIR)/unihex2bmp -pD0 < chojung-syllables.hex > chojung-syllables/han-D0.bmp
	$(BINDIR)/unihex2bmp -pD1 < chojung-syllables.hex > chojung-syllables/han-D1.bmp
	$(BINDIR)/unihex2bmp -pD2 < chojung-syllables.hex > chojung-syllables/han-D2.bmp
	$(BINDIR)/unihex2bmp -pD3 < chojung-syllables.hex > chojung-syllables/han-D3.bmp
	$(BINDIR)/unihex2bmp -pD4 < chojung-syllables.hex > chojung-syllables/han-D4.bmp
	$(BINDIR)/unihex2bmp -pD5 < chojung-syllables.hex > chojung-syllables/han-D5.bmp
	$(BINDIR)/unihex2bmp -pD6 < chojung-syllables.hex > chojung-syllables/han-D6.bmp

=== debian/changelog ===
unifont (1:10.0.07-1) unstable; urgency=medium

  [Helmut Grohne]
  * Fix FTCBFS: (Closes: #875572)
    + Let dh_auto_build pass cross compilers to make
    + debian/patches/nostrip.patch: Do not strip during build
    + Only build "bindir" during arch-only build.
    + Add override_dh_auto_install-arch to only install arch:any components.

  [Paul Hardy]
  * Update to Unifont 10.0.07 release.
  * debian/control: update to Standards version 4.1.2.
  * debian/watch:
    - update to version 4
    - change "ftp://" to "https://"

 -- Paul Hardy <unifoundry@unifoundry.com>  Wed, 27 Dec 2017 11:47:40 -0800

unifont (1:10.0.06-1) unstable; urgency=medium

  * Update to Unifont 10.0.06 release.
  * debian/compat: update to version 10.
  * debian/control, source package:
    - Update debhelper line to: Build-Depends: debhelper (>= 10)
    - Removed Build-Depends-Indep entries for libgd-gd2-perl and
      libgd-gd2-noxpm-perl because they have been removed from Debian.
    - Update Standards-Version to 4.1.0
  * debian/copyright: added David Corbett.
  * debian/source/include-binaries: removed this file, which contained
    "debian/upstream-signing-key.pgp".  Now the non-binary file
    "debian/upstream/signing-key.asc" is being used instead, to reflect
    a change introduced in Debian Policy 4.1.0.
  * debian/upstream/signing-key.asc: added file.
  * debian/upstream-signing-key.pgp: removed file.

 -- Paul Hardy <unifoundry@unifoundry.com>  Sat, 26 Aug 2017 15:19:15 -0700

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Section: fonts
 Priority: optional
 Maintainer: Paul Hardy <unifoundry@unifoundry.com>
-Build-Depends: debhelper (>= 9)
-Build-Depends-Indep: fontforge, xfonts-utils, bdf2psf,
- libgd-perl | libgd-gd2-perl | libgd-gd2-noxpm-perl
-Standards-Version: 4.0.0
+Build-Depends: debhelper (>= 10)
+Build-Depends-Indep: fontforge, xfonts-utils, bdf2psf, libgd-perl
+Standards-Version: 4.1.2
 Homepage: http://unifoundry.com
 
 Package: unifont

## unifont 11.0.02

=== debian/changelog ===
unifont (1:11.0.02-1) unstable; urgency=medium

  * Update for Unifont 11.0.02 release.
  * Update to debhelper compatibility level 11.
  * Update to Debian Policy 4.2.0.
  * Removed two end-of-line trailing spaces in this file to appease lintian.
  * debian/changelog: removed trailing space at end of two lines.
  * debian/control: removed Depends entries:
    - psf-unifont: removed "Depends: bdf2psf" entry      (Closes: #903681)
    - ttf-unifont: removed "Depends: xfonts-utils" entry (Closes: #903833)
    - unifont, xfonts-unifont: removed "Depends: xfonts-utils" entries.
  * debian/copyright: updated for latest Unifont 11.0 contributions.
  * debian/rules: exclude ChangeLog from being installed, until
    dh_installchangelogs is updated to exclude that file.
  * debian/upstream/metadata: created file.

 -- Paul Hardy <unifoundry@unifoundry.com>  Fri, 10 Aug 2018 21:08:41 -0700

unifont (1:11.0.01-1) unstable; urgency=medium

  * Update for Unicode 11.0.
  * debian/control: update to Standards version 4.1.4.

 -- Paul Hardy <unifoundry@unifoundry.com>  Tue, 05 Jun 2018 12:54:14 -0700

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: fonts
 Priority: optional
 Maintainer: Paul Hardy <unifoundry@unifoundry.com>
-Build-Depends: debhelper (>= 10)
+Build-Depends: debhelper (>= 11)
 Build-Depends-Indep: fontforge, xfonts-utils, bdf2psf, libgd-perl
-Standards-Version: 4.1.2
+Standards-Version: 4.2.0
 Homepage: http://unifoundry.com
 
 Package: unifont
 Architecture: all
 Multi-Arch: foreign
-Depends: xfonts-unifont, ttf-unifont, psf-unifont, xfonts-utils, ${misc:Depends}
+Depends: xfonts-unifont, ttf-unifont, psf-unifont, ${misc:Depends}
 Replaces: unifont-bin (<< 1:5.1.20080706-1)
 Suggests: unifont-bin
 Description: font with a glyph for each visible Unicode Plane 0 character
@@ -34,7 +34,7 @@
 Package: xfonts-unifont
 Architecture: all
 Multi-Arch: foreign
-Depends: xfonts-utils, ${misc:Depends}
+Depends: ${misc:Depends}
 Replaces: unifont (<< 1:5.1.20080706)
 Conflicts: unifont (<< 1:5.1.20080706)
 Suggests: ttf-unifont
@@ -72,7 +72,7 @@
 Package: ttf-unifont
 Architecture: all
 Multi-Arch: foreign
-Depends: xfonts-utils, ${misc:Depends}
+Depends: ${misc:Depends}
 Description: TrueType version of GNU Unifont
  This contains four fonts: "Unifont", "Unifont Upper", "Unifont CSUR",
  and "Unifont Sample".
@@ -108,7 +108,7 @@
 Package: psf-unifont
 Architecture: all
 Multi-Arch: foreign
-Depends: bdf2psf, ${misc:Depends}
+Depends: ${misc:Depends}
 Suggests: ttf-unifont
 Description: PSF (console) version of GNU Unifont with APL support
  This contains a PSF font (Unifont-APL8x16.psf) as a console frame

## unifont 11.0.03

=== font/Makefile ===
#
# Makefile to build a version of GNU Unifont with the
# unifoundry.com GNU Unifont utilities.  This Makefile
# converts unifont-$(VERSION).hex and related files into a final
# GNU Unifont font file.
#
# This software is released under version 2.0 of the GNU Public License,
# or (at your option) a later version of the GPL.
#
# Paul Hardy, 7 July 2008
#
# commands will be interpreted with the Bourne Shell
#
SHELL = /bin/sh
INSTALL = install
GZFLAGS = -f -9 -n
FONTFORGE = fontforge
#
VERSION = 11.0.03

COPYRIGHT = "Copyright (C) 1998-2018 Roman Czyborra, Paul Hardy, \
Qianqian Fang, Andrew Miller, Johnnie Weaver, David Corbett, et al. \
License GPLv2+: GNU GPL version 2 or later <http://gnu.org/licenses/gpl.html> \
with the GNU Font Embedding Exception."

#
# Path to local unifont-bin utilities.  If your system doesn't
# use GNU's version of "make", use the first BINDIR definition.
# If using GNU's "make", use the second BINDIR definition.
#
# BINDIR = ../bin
BINDIR = $(CURDIR)/../bin
#
# The top-level directory for installing fonts on the system,
# and the installation directories for PCF and TrueType fonts.
#
CONSOLEDEST = $(DESTDIR)/usr/share/consolefonts
FONTDEST    = $(DESTDIR)/usr/share/fonts
PCFDEST     = $(FONTDEST)/X11/misc
TTFDEST     = $(FONTDEST)/truetype/unifont
#
# destination directory for compiled fonts
#
COMPILED_DIR = compiled
#
# destination directory for .bmp or .png representation of font
#
BMPDIR = $(COMPILED_DIR)/bmp
PNGDIR = $(COMPILED_DIR)/png

# Choose one graphics format or neither.
GRAPHICS=png
# GRAPHICS=bmp
#
# Directory with original unifont-$(VERSION).hex files
#
HEXDIR = plane00
#
# These are the files for building GNU Unifont with the Qianqian Fang's
# Wen Quan Yi CJK ideographs.  This version provides complete coverage
# of the Unicode Basic Multilingual Plane.
#
# If you don't want to include blank glyphs in unassigned code points,
# uncomment the UNASSIGNED definition or override from the make command line.
#
# Likewise, uncomment the PUA definition if you want to use Private
# Use Area glyphs.
#
UNASSIGNED = $(HEXDIR)/plane00-unassigned.hex
# UNASSIGNED =

#
# Non-printing glyphs.  There are only about 100 of these, and many end
# users do want to print representations of these glyphs, so they are
# included as an optional assignment.
#
NONPRINTING = $(HEXDIR)/plane00-nonprinting.hex
# NONPRINTING =

#
# Private Use Area glyphs.  Uncomment to include four-digit hexadecimal glyphs
# or override from the make command line.
#
# PUA = $(HEXDIR)/pua.hex
PUA = 

# The remaining .hex files will be constant unless a customized font
# is being built.  Note that COPYLEFT contains the encoding for U+01F12F,
# which is in Unicode Plane 1 rather than Plane 0.  It is included in the
# base Plane 0 Unifont TTF font as an exception because of its significance.
UNIFONTBASE = $(HEXDIR)/unifont-base.hex
CJK         = $(HEXDIR)/wqy.hex
HANGUL      = $(HEXDIR)/hangul-syllables.hex
SPACES      = $(HEXDIR)/spaces.hex
CUSTOM00    = $(HEXDIR)/custom00.hex
COPYLEFT    = $(HEXDIR)/copyleft.hex

UNIFILES = $(UNIFONTBASE) $(CJK) $(HANGUL) $(SPACES) $(UNASSIGNED) \
	   $(NONPRINTING) $(PUA) $(CUSTOM00)

#
# Planes 1 through 14 (0x0E) are ordinary;
# Planes 15 (0x0F) and 16 (0x10) are Private Use Area
#
UPPER_FILES = plane0[1-E]/*.hex

#
# Location of the file containing a list of Unicode combining characters.
#
COMBINING = plane00/plane00-combining.txt

UPPER_COMBINING = plane0[1-E]/*combining.txt

VPATH = plane00 ttfsrc

#
# Location of  TTF source directory, where TTF font is built.
#
TTFSRC = ttfsrc


all: compiled

compiled: $(UNIFILES) $(COMBINING) $(UPPER_FILES) $(UPPER_COMBINING)
	$(MAKE) compiled-files

compiled-files: pcf psf $(GRAPHICS) ttf csurttf upperttf bigpic coverage
	install -p index.html $(COMPILED_DIR)/index.html

#
# Build the aggregate .hex font files
#
hex:
	if [ ! -d $(COMPILED_DIR) ] ; then \
	   mkdir -p $(COMPILED_DIR) ; \
	fi
	sort $(UNIFILES) > $(COMPILED_DIR)/unifont-$(VERSION).hex
	(cd $(HEXDIR) && sort *.hex) | \
	  egrep -v "^FFF[EF]" | grep -v "^01F12F:" | \
	   $(BINDIR)/unigencircles $(COMBINING) plane00/plane00-nonprinting.hex \
	   > $(COMPILED_DIR)/unifont_sample-$(VERSION).hex
	sort $(UPPER_FILES) \
	   > $(COMPILED_DIR)/unifont_upper-$(VERSION).hex
	sort $(UPPER_COMBINING) > $(COMPILED_DIR)/upper_combining.txt
	sort plane0[1-E]/plane*-nonprinting.hex \
	   > $(COMPILED_DIR)/upper_nonprinting.hex
	# Generate files in plane01/all directory to create font sample book.
	(cd plane01 && make)
	sort plane01/all/plane01-all.hex plane0[2-E]/*.hex | egrep -v "^..FFF[EF]" | \
	   $(BINDIR)/unigencircles $(COMPILED_DIR)/upper_combining.txt \
	   $(COMPILED_DIR)/upper_nonprinting.hex \
	   > $(COMPILED_DIR)/unifont_upper_sample-$(VERSION).hex
	# Create a .hex file with CSUR glyphs, without combining circles
	sort $(COMPILED_DIR)/unifont-$(VERSION).hex plane00csur/*.hex \
	   > $(COMPILED_DIR)/unifont_csur_lower-$(VERSION).hex
	# Create a .hex file with only CSUR glyphs from all planes
	sort plane00csur/*.hex | sed -e 's/^/00/' \
	   > $(COMPILED_DIR)/unifont_csur-$(VERSION).hex
	sort plane0[1-F]csur/*.hex \
	   >> $(COMPILED_DIR)/unifont_csur-$(VERSION).hex
	# Create a .hex file with all CSUR glyphs, with combining circles
	sort plane00csur/plane00csur-combining.txt \
	   >  $(COMPILED_DIR)/csur_combining.txt
	sort plane0[1-F]csur/plane0[1-F]csur-combining.txt \
	   >> $(COMPILED_DIR)/csur_combining.txt
	$(BINDIR)/unigencircles \
	     $(COMPILED_DIR)/csur_combining.txt \
	     plane00/plane00-nonprinting.hex \
	   < $(COMPILED_DIR)/unifont_csur-$(VERSION).hex \
	   > $(COMPILED_DIR)/unifont_csur_sample-$(VERSION).hex

#
# Build a BDF font file from the final .hex file.
#
bdf: hex
	# First make the default BDF font.  The font name will be "unifont".
	$(BINDIR)/hex2bdf --version "$(VERSION)" --copyright $(COPYRIGHT) \
	   $(COMPILED_DIR)/unifont-$(VERSION).hex \
	   >$(COMPILED_DIR)/unifont-$(VERSION).bdf
	gzip $(GZFLAGS) <$(COMPILED_DIR)/unifont-$(VERSION).bdf \
	           >$(COMPILED_DIR)/unifont-$(VERSION).bdf.gz
	# Now make a version with combining circles.  The font name
	# will be "unifont_sample" instead of "unifont" to distinguish
	# it from the default font.
	$(BINDIR)/hex2bdf --font "Unifont Sample" \
	   --version "$(VERSION)" --copyright $(COPYRIGHT) \
	     $(COMPILED_DIR)/unifont_sample-$(VERSION).hex \
	   > $(COMPILED_DIR)/unifont_sample-$(VERSION).bdf
	gzip $(GZFLAGS) <$(COMPILED_DIR)/unifont_sample-$(VERSION).bdf \
	           >$(COMPILED_DIR)/unifont_sample-$(VERSION).bdf.gz
	# Font with ConScript Unicode Registry (CSUR) glyphs added
	$(BINDIR)/hex2bdf --font "Unifont CSUR" \
	   --version "$(VERSION)" --copyright $(COPYRIGHT) \
	     $(COMPILED_DIR)/unifont_csur_lower-$(VERSION).hex \
	   > $(COMPILED_DIR)/unifont_csur-$(VERSION).bdf
	gzip $(GZFLAGS) <$(COMPILED_DIR)/unifont_csur-$(VERSION).bdf \
	           >$(COMPILED_DIR)/unifont_csur-$(VERSION).bdf.gz
	# Font with glyphs above Plane 0
	$(BINDIR)/hex2bdf --font "Unifont Upper" \
	   --version "$(VERSION)" --copyright $(COPYRIGHT) \
	     $(COMPILED_DIR)/unifont_upper-$(VERSION).hex \
	   > $(COMPILED_DIR)/unifont_upper-$(VERSION).bdf
	gzip $(GZFLAGS) <$(COMPILED_DIR)/unifont_upper-$(VERSION).bdf \
	           >$(COMPILED_DIR)/unifont_upper-$(VERSION).bdf.gz
	# Font with glyphs above Plane 0 with combining circles added
	$(BINDIR)/hex2bdf --font "Unifont Upper Sample" \
	   --version "$(VERSION)" --copyright $(COPYRIGHT) \
	     $(COMPILED_DIR)/unifont_upper_sample-$(VERSION).hex \
	   > $(COMPILED_DIR)/unifont_upper_sample-$(VERSION).bdf
	gzip $(GZFLAGS) <$(COMPILED_DIR)/unifont_upper_sample-$(VERSION).bdf \
	           >$(COMPILED_DIR)/unifont_upper_sample-$(VERSION).bdf.gz

#
# Build a PCF font file from the final .hex file.
#
pcf: bdf
	bdftopcf <$(COMPILED_DIR)/unifont-$(VERSION).bdf \
	         >$(COMPILED_DIR)/unifont-$(VERSION).pcf
	gzip $(GZFLAGS) $(COMPILED_DIR)/unifont-$(VERSION).pcf
	bdftopcf <$(COMPILED_DIR)/unifont_sample-$(VERSION).bdf \
	         >$(COMPILED_DIR)/unifont_sample-$(VERSION).pcf
	gzip $(GZFLAGS) $(COMPILED_DIR)/unifont_sample-$(VERSION).pcf
	bdftopcf <$(COMPILED_DIR)/unifont_csur-$(VERSION).bdf \
	         >$(COMPILED_DIR)/unifont_csur-$(VERSION).pcf
	gzip $(GZFLAGS) $(COMPILED_DIR)/unifont_csur-$(VERSION).pcf

#
# Make the PSF (console) font for APL (A Programming Language).
#
psf: bdf
	bdf2psf --fb \
	   $(COMPILED_DIR)/unifont-$(VERSION).bdf \
	   psf/apl-equivalents.txt \
	   psf/unifont-apl.txt \
	   512 \
	   $(COMPILED_DIR)/Unifont-APL8x16-$(VERSION).psf
	gzip $(GZFLAGS) $(COMPILED_DIR)/Unifont-APL8x16-$(VERSION).psf

#
# Print coverage of all scripts in Unifont.  Combine all Plane 0
# directories first to keep everything ordered properly.  Only keep
# the space glyph from the Plane 0 Unifont source hex file; it is
# duplicated in other files used to create separate fonts.  Don't
# use plane00/pua.hex (U+E000..U+F8FF) because we are including
# Plane 0 CSUR glyphs.  The built unifont_csur_lower-$(VERSION).hex
# includes all non-Private Use Area Plane 0 glyphs, so start with it
# as a baseline.  Remove the Plane 1 Copyleft glyph from the Plane 0
# set of hex files.
#
coverage:
	grep -v "^01F12F" $(COMPILED_DIR)/unifont_csur_lower-$(VERSION).hex \
	   > $(COMPILED_DIR)/unifont_all-$(VERSION).hex
	sort plane0[1-E]/*.hex plane0Fcsur/*.hex | grep -v "^0020:" \
	   >> $(COMPILED_DIR)/unifont_all-$(VERSION).hex
	$(BINDIR)/unicoverage \
	   -i$(COMPILED_DIR)/unifont_all-$(VERSION).hex \
	   -o$(COMPILED_DIR)/coverage.txt
	\rm -f $(COMPILED_DIR)/unifont_all-$(VERSION).hex
#
# Print HTML page coverage in Basic Multilingual Plane in .txt file.
#
pagecount: $(COMPILED_DIR)/unifont-$(VERSION).hex $(BINDIR)/unipagecount
	$(BINDIR)/unipagecount -l < $(COMPILED_DIR)/unifont-$(VERSION).hex \
		        > $(COMPILED_DIR)/pagecount.html
	if [ x$(GRAPHICS) = xbmp ] ; then \
	   sed -i 's/png/bmp/g' $(COMPILED_DIR)/plane00.html ; \
	fi

#
# Create the .png (Portable Network Graphics) versions of the glyphs.
#
png: hex $(BINDIR)/unihex2png
	if [ ! -d $(PNGDIR) ] ; then \
	   mkdir -p $(PNGDIR) ; \
	fi
	if [ ! -d $(PNGDIR)/plane00 ] ; then \
	   mkdir -p $(PNGDIR)/plane00 ; \
	fi
	for i in 0 1 2 3 4 5 6 7 8 9 A B C D E F; do \
	   for j in 0 1 2 3 4 5 6 7 8 9 A B C D E F; do \
	      $(BINDIR)/unihex2png -p 00$$i$$j \
	         -i $(COMPILED_DIR)/unifont_sample-$(VERSION).hex \
	         -o $(PNGDIR)/plane00/uni00$$i$$j.png ; \
	   done ; \
	done
	if [ ! -d $(PNGDIR)/plane01 ] ; then \
	   mkdir -p $(PNGDIR)/plane01 ; \
	fi
	for i in 0 1 2 3 4 5 6 7 8 9 A B C D E F; do \
	   for j in 0 1 2 3 4 5 6 7 8 9 A B C D E F; do \
	      $(BINDIR)/unihex2png -p 01$$i$$j \
	         -i $(COMPILED_DIR)/unifont_upper_sample-$(VERSION).hex \
	         -o $(PNGDIR)/plane01/uni01$$i$$j.png ; \
	   done ; \
	done
	if [ ! -d $(PNGDIR)/plane0E ] ; then \
	   mkdir -p $(PNGDIR)/plane0E ; \
	fi
	for i in 0 1 2 3 4 5 6 7 8 9 A B C D E F; do \
	   for j in 0 1 2 3 4 5 6 7 8 9 A B C D E F; do \
	      $(BINDIR)/unihex2png -p 0E$$i$$j \
	         -i $(COMPILED_DIR)/unifont_upper_sample-$(VERSION).hex \
	         -o $(PNGDIR)/plane0E/uni0E$$i$$j.png ; \
	   done ; \
	done
	if [ ! -d $(PNGDIR)/csur ] ; then \
	   mkdir -p $(PNGDIR)/csur ; \
	fi
	for i in E0 E1 E2 E3 E4 E5 E6 E7 E8 E9 EA EB EC ED EE EF \
	         F0 F1 F2 F3 F4 F5 F6 F7 F8 ; do \
	      $(BINDIR)/unihex2png -p 00$$i \
	         -i $(COMPILED_DIR)/unifont_csur_sample-$(VERSION).hex \
	         -o $(PNGDIR)/csur/uni00$$i.png ; \
	done
	for i in 0 1 2 3 4 5 6 7 8 9 A B C D E F; do \
	   for j in 0 1 2 3 4 5 6 7 8 9 A B C D E F; do \
	      $(BINDIR)/unihex2png -p 0F$$i$$j \
	         -i $(COMPILED_DIR)/unifont_csur_sample-$(VERSION).hex \
	         -o $(PNGDIR)/csur/uni0F$$i$$j.png ; \
	   done ; \
	done
	# Create HTML table showing color-coded percent coverage in Plane 0.
	$(BINDIR)/unipagecount -h < $(COMPILED_DIR)/unifont-$(VERSION).hex \
	                          > $(COMPILED_DIR)/plane00.html

=== hangul/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 GZFLAGS = -f -9 -n
 
 #
-VERSION = 10.0.07
+VERSION = 11.0.03
 
 COPYRIGHT = "Copyright (C) 2013 Paul Hardy.  \
 Licensed under the GNU General Public License; either version 2, or \

=== debian/changelog ===
unifont (1:11.0.03-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Updated to Standards-Version 4.2.1
    - Updated Homepage to "http://unifoundry.com/unifont/".

 -- Paul Hardy <unifoundry@unifoundry.com>  Sat, 08 Dec 2018 11:55:49 -0800

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Paul Hardy <unifoundry@unifoundry.com>
 Build-Depends: debhelper (>= 11)
 Build-Depends-Indep: fontforge, xfonts-utils, bdf2psf, libgd-perl
-Standards-Version: 4.2.0
-Homepage: http://unifoundry.com
+Standards-Version: 4.2.1
+Homepage: http://unifoundry.com/unifont/
 
 Package: unifont
 Architecture: all

=== debian/watch ===
# Watch control file for uscan
# See uscan(1) for format

# Compulsory line, this is a version 4 file
version=4

# Examine a Webserver directory
opts=pgpsigurlmangle=s/$/.sig/ \
     https://ftp.gnu.org/gnu/unifont/unifont-([\d\.]+)/ \
           unifont-([\d\.]+)\.tar\.gz
